cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/plugin/%7BpluginInstallId%7D/rename \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string"}'{
"id": "<string>",
"name": "<string>"
}plugin-panel
Patch table plugin panel plugin rename
Rename a plugin in a plugin panel
PATCH
/
table
/
{tableId}
/
plugin-panel
/
{pluginPanelId}
/
plugin
/
{pluginInstallId}
/
rename
cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/plugin/%7BpluginInstallId%7D/rename \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string"}'{
"id": "<string>",
"name": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on March 5, 2026
Was this page helpful?
⌘I

